Package org.apache.lucene.analysis.snowball

# Class SnowballPorterFilterFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenFilterFactory
org.apache.lucene.analysis.snowball.SnowballPorterFilterFactory

All Implemented Interfaces:
  `ResourceLoaderAware`

public class SnowballPorterFilterFactory extends TokenFilterFactory implements ResourceLoaderAware
Factory for `SnowballFilter`, with configurable language

Note: Use of the "Lovins" stemmer is not recommended, as it is implemented with reflection.

     <fieldType name="text_snowballstem" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.StandardTokenizerFactory"/>
         <filter class="solr.LowerCaseFilterFactory"/>
         <filter class="solr.SnowballPorterFilterFactory" protected="protectedkeyword.txt" language="English"/>
       </analyzer>
     </fieldType>

Since:
  3.1
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "snowballPorter"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`
SPI name
`static final String`
`PROTECTED_TOKENS`

### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

## Constructor Summary

Constructors
Constructor
Description
`SnowballPorterFilterFactory()`
Default ctor for compatibility with SPI
`SnowballPorterFilterFactory(Map<String,String> args)`
Creates a new SnowballPorterFilterFactory

## Method Summary

Modifier and Type
Method
Description
`TokenFilter`
`create(TokenStream input)`
`void`
`inform(ResourceLoader loader)`

### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

`availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

`defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME
SPI name

See Also:
  - Constant Field Values

### PROTECTED_TOKENS

public static final String PROTECTED_TOKENS

See Also:
  - Constant Field Values

## Constructor Details

### SnowballPorterFilterFactory

public SnowballPorterFilterFactory(Map<String,String> args)
Creates a new SnowballPorterFilterFactory

### SnowballPorterFilterFactory

public SnowballPorterFilterFactory()
Default ctor for compatibility with SPI

## Method Details

### inform

public void inform(ResourceLoader loader) throws IOException

Specified by:
  `inform` in interface `ResourceLoaderAware`
Throws:
  `IOException`

### create

public TokenFilter create(TokenStream input)

Specified by:
  `create` in class `TokenFilterFactory`